com.lowagie.toolbox.arguments

## Class ImageArgument

- java.lang.Object
- - com.lowagie.toolbox.arguments.AbstractArgument
  - - com.lowagie.toolbox.arguments.ImageArgument

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

      public class ImageArgument
      extends AbstractArgument

  StringArgument class if the argument is a com.lowagie.text.Image.
  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.filechooser.FileFilter` | `filter` a filter to put on the FileChooser.

    - ### Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `description, name, pcs, tool, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageArgument(AbstractTool tool, java.lang.String name, java.lang.String description)` Constructs a FileArgument.
    `ImageArgument(AbstractTool tool, java.lang.String name, java.lang.String description, javax.swing.filechooser.FileFilter filter)` Constructs a FileArgument.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `java.lang.Object` | `getArgument()` Gets the argument as an object.

    - ### Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `addPropertyChangeListener, firePropertyChange, getDescription, getName, getTool, getUsage, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filter

          private javax.swing.filechooser.FileFilter filter

      a filter to put on the FileChooser.

  - ### Constructor Detail

    - #### ImageArgument

          public ImageArgument(AbstractTool tool,
                       java.lang.String name,
                       java.lang.String description,
                       javax.swing.filechooser.FileFilter filter)

      Constructs a FileArgument.
      Parameters:
        `tool` - the tool that needs this argument
        `name` - the name of the argument
        `description` - the description of the argument
        `filter` - a custom filter

    - #### ImageArgument

          public ImageArgument(AbstractTool tool,
                       java.lang.String name,
                       java.lang.String description)

      Constructs a FileArgument.
      Parameters:
        `tool` - the tool that needs this argument
        `name` - the name of the argument
        `description` - the description of the argument

  - ### Method Detail

    - #### getArgument

          public java.lang.Object getArgument()
                                       throws java.lang.InstantiationException

      Gets the argument as an object.
      Overrides:
        `getArgument` in class `AbstractArgument`
      Returns:
        an object
      Throws:
        `java.lang.InstantiationException`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Specified by:
        `actionPerformed` in class `AbstractArgument`
      Parameters:
        `e` - ActionEvent
      See Also:
        `ActionListener.actionPerformed(java.awt.event.ActionEvent)`